# class SearchCreateJob

###

Module | akonadi
Namespace | Akonadi
Class | SearchCreateJob
Inherits | Akonadi::Job

Creates a virtual/search collection, ie. a collection containing search results.

To do: Add method that returns the new collection.

### methods

- SearchCreateJob (name, query, parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  name | QString |
  query | QString |
  parent | QObject | 0

  Creates a virtual/search collection.

  name - The name of the collection.

  query - The XESAM query.

  parent - The parent object.

- doStart ( )

  returns Nothing